
exports.up = function (knex, Promise) {
    return knex.schema.createTable('user_like_group', function (table) {
        table.increments('id'); //autoincrementing (non-nullable) primary key

        table.string('uid').notNullable()
            .references('uid').inTable('users')
            .onDelete('CASCADE');

        table.string('gid').notNullable()
            .references('gid').inTable('groups')
            .onDelete('CASCADE');

        table.unique(['uid', 'gid']);

        table.boolean('isDislike').notNullable();
    });
};

exports.down = function (knex, Promise) {
    return knex.schema.dropTable('user_like_group');
};
